# Generated from dhatu-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dhatu

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: A simple CMS for your website
License: MIT
URL: https://github.com/right-solutions/dhatu
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10.1
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(pry) >= 0.10.0
# BuildRequires: rubygem(mysql2) >= 0.4.4
# BuildRequires: rubygem(mysql2) < 0.5
# BuildRequires: rubygem(carrierwave) >= 0.10.0
# BuildRequires: rubygem(carrierwave) < 0.11
# BuildRequires: rubygem(carrierwave) >= 0.9.0
# BuildRequires: rubygem(mini_magick) >= 4.8.0
# BuildRequires: rubygem(mini_magick) < 4.9
# BuildRequires: rubygem(mini_magick) >= 4.8.0
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(capybara) >= 2.4.4
# BuildRequires: rubygem(capybara) < 2.5
# BuildRequires: rubygem(capybara) >= 2.4.3
# BuildRequires: rubygem(factory_bot_rails) >= 4.8.0
# BuildRequires: rubygem(factory_bot_rails) < 4.9
# BuildRequires: rubygem(factory_bot_rails) >= 4.4.0
# BuildRequires: rubygem(database_cleaner) >= 1.4.0
# BuildRequires: rubygem(database_cleaner) < 1.5
# BuildRequires: rubygem(database_cleaner) >= 1.3.0
# BuildRequires: rubygem(shoulda-matchers) >= 3.1
# BuildRequires: rubygem(shoulda-matchers) < 4
BuildArch: noarch

%description
Dhatu (Sanskrit word for elements). This plugin will add all the basic
elements required for a website. e.g: services, products, news & events,
testimonials etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.3-1
- Initial package
